Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dynamicbees
Class BeeLauncher

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Agent
              dynamicbees.BeeLauncher

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class BeeLauncher

extends Agent

Version:
  2.1
Author:
  Fabien MICHEL 01/02/2007
See Also:
  Serialized Form

Constructor Summary
`BeeLauncher()`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`void` | `end()` This method is called by the agent micro-kernel at the end of the agent lifecycle.
`boolean` | `getActive()`
`int` | `getBeenumber()`
`int` | `getDelay()`
`int` | `getHeight()`
`int` | `getWidth()`
`boolean` | `getwithSwing()`
`void` | `initGUI()` This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface.
`void` | `killBees(boolean queen, int number)`
`void` | `launchBees(int numberOfBees)`
`void` | `launchQueens(int numberOfQueens)`
`void` | `live()` This method defines the main behavior of threaded agents.
`void` | `setActive(boolean v)`
`void` | `setBeenumber(int v)`
`void` | `setDelay(int v)`
`void` | `setHeight(int add)`
`void` | `setWidth(int add)`
`void` | `setwithSwing(boolean v)`

Methods inherited from class madkit.kernel.Agent
`connectAgencyToAgency, createPlace, createPlace, enableMobility, enableMobility, exitImmediatlyOnKill, getAgencyNamed, joinPlace, joinPlace, joinPlace, pause, receiveMessage, run, waitNextMessage, waitNextMessage`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, toString, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeeLauncher

    public BeeLauncher()

Method Detail

### setWidth

    public void setWidth(int add)

### getWidth

    public int getWidth()

### setHeight

    public void setHeight(int add)

### getHeight

    public int getHeight()

### getDelay

    public int getDelay()

### setDelay

    public void setDelay(int v)

### setBeenumber

    public void setBeenumber(int v)

### getBeenumber

    public int getBeenumber()

### getActive

    public boolean getActive()

### setActive

    public void setActive(boolean v)

### getwithSwing

    public boolean getwithSwing()

### setwithSwing

    public void setwithSwing(boolean v)

### launchBees

    public void launchBees(int numberOfBees)

### launchQueens

    public void launchQueens(int numberOfQueens)

### killBees

    public void killBees(boolean queen,
                         int number)

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Here is a typical example (taken from the `PingPong` agent of MadKit (plugin demos)) :

  >     public void activate()
  >     {
  >             try {
  >                     createGroup(true,"ping-pong",null,null);
  >                     println ("No ping-pong group : I created one");
  >                     creator=true;
  >             } catch (OrganizationRequestException e) { // the group already exists
  >                     creator=false;
  >                     println ("A ping-pong group already exists : I will join");
  >             }
  >             requestRole("ping-pong","player",null);
  >     }

  Overrides:
    `activate` in class `AbstractAgent`

### live

    public void live()

  Description copied from class: `Agent`
  This method defines the main behavior of threaded agents.

  Overrides:
    `live` in class `Agent`

### end

    public void end()

  Description copied from class: `AbstractAgent`
  This method is called by the agent micro-kernel at the end of the agent lifecycle. If the the agent is killed from the outside, it is the last opportunity for the agent to cleanly shutdown its operations. Although it is "nicer" to make the agent leave its groups, the handled groups and roles are automatically leaved after this last step

  Overrides:
    `end` in class `AbstractAgent`

### initGUI

    public void initGUI()

  Description copied from class: `AbstractAgent`
  This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface. The agent developer should use a setGUIObject(...) within this method, as well as other necessary initializations. If the developer does not overload this method, a vanilla text output might be used as the default interface.

  Overrides:
    `initGUI` in class `AbstractAgent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.